Package Details: netpanzer 0.8.7-1

Git Clone URL: https://aur.archlinux.org/netpanzer.git (read-only, click to copy)
Package Base: netpanzer
Description: An online multiplayer tactical warfare game
Upstream URL: http://www.netpanzer.info/
Licenses: GPL
Submitter: encelo
Maintainer: encelo
Last Packager: encelo
Votes: 14
Popularity: 0.000000
First Submitted: 2005-04-27 22:44
Last Updated: 2016-07-30 13:45

Latest Comments

Maratich commented on 2020-08-01 09:20

error while install: ...


==> Сборка пакета netpanzer 0.8.7-1 (Сб 01 авг 2020 12:18:42)
==> Проверка зависимостей для запуска...
==> Проверка зависимостей для сборки...
==> ВНИМАНИЕ: Использование существующего дерева исходных файлов в '$srcdir/'
==> Запускается build()...
scons: Reading SConscript files ...
  File "/home/maratich/.cache/yay/netpanzer/src/SConstruct", line 27

print "NPVERSION = " + NPVERSION

      ^

SyntaxError: Missing parentheses in call to 'print'. Did you mean print("NPVERSION = " + NPVERSION)?

==> ОШИБКА: Произошел сбой в build(). Прерывание... ошибка сборки: %!s(func() string=0x55b1cf2257c3)

encelo commented on 2016-07-30 13:46

Updated to 0.8.7

gustavo commented on 2015-01-11 11:00

¡really cool game!, I used this source to install the game https://github.com/Rominagrobis/OldNetPanzer/tree/master/svn1341

gustavo commented on 2014-10-12 04:00

svn: E670002: Unable to connect to a repository at URL 'svn://svn.berlios.de/netpanzer/tags/netpanzer/0.8.4'

Here new source urls:
http://www.netpanzer.info/Download/

eNyx commented on 2012-12-15 13:09

+1 have errors compiling

GuestOne commented on 2012-10-11 06:52

I have errors too.
This game doesn't build.

shomodj commented on 2012-07-13 14:20

I get an error on 64bit

g++ -o build/release/src/NetPanzer/Interfaces/PathScheduler.o -c -O2 -s -Wall -DPACKAGE_VERSION=\"0.8.4\" -DNP_DATADIR=\"/usr/share/netpanzer\" -D_GNU_SOURCE=1 -D_REENTRANT -I. -Isrc/Lib -Isrc/NetPanzer -Isrc/Lib/physfs -Isrc/Lib/lua -I/usr/include/SDL -Isrc/Lib/physfs/zlib123 src/NetPanzer/Interfaces/PathScheduler.cpp
In file included from src/NetPanzer/Interfaces/PathScheduler.hpp:24:0,
from src/NetPanzer/Interfaces/PathScheduler.cpp:23:
src/Lib/ArrayUtil/QueueTemplate.hpp: In instantiation of ‘bool QueueTemplate<TYPE>::enqueue(const TYPE&) [with TYPE = PathRequest]’:
src/NetPanzer/Interfaces/PathScheduler.cpp:445:51: required from here
src/Lib/ArrayUtil/QueueTemplate.hpp:45:9: error: ‘add’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
src/Lib/ArrayUtil/QueueTemplate.hpp:45:9: note: declarations in dependent base ‘ArrayTemplate<PathRequest>’ are not found by unqualified lookup
src/Lib/ArrayUtil/QueueTemplate.hpp:45:9: note: use ‘this->add’ instead
scons: *** [build/release/src/NetPanzer/Interfaces/PathScheduler.o] Error 1
scons: building terminated because of errors.

encelo commented on 2012-01-21 18:25

Updated to 0.8.4

gururise commented on 2012-01-13 07:04

0.8.4 was released on December 22, 2011.